Subject: bug#26398: GNU LIB build fails on macOS 10.12.4

From: Zack Weinberg <[email-masked]>
Date: Sat, 8 Apr 2017 11:24:54 -0400

> Please try the attached patch against Emacs master.
> If it works I plan to install it into Emacs and propagate
> it into Gnulib.

This patch is incomplete.  If gnulib cannot use __nonnull in
getopt_{core,ext}.h, then there is no point trying to define it in
getopt_cdefs.h.  And you're going to need to put snippet/arg-nonnull
back in the module file for this to work at all, aren't you?

>From glibc's point of view, I think it would be better if
getopt_core.h and getopt_ext.h simply assumed _GL_ARG_NONNULL to be
available; we can add it to either our getopt.h wrapper or to
sys/cdefs.h - I don't want to make that call unilaterally.  (Do you
know of a complete list of _GL_ macros that may appear in _public_
header files?)

zw